import gtk, empathy, empathygtk
from mayanna_engine.mayanna_base import Item, ItemSource, Topic

class EmpathySource(ItemSource):
   '''
    A list of "everyone", possibly filtered by last chat date, making this a
    recently used list.  This uses the Gaim account reader so only chats with
    buddies in the buddy list will be displayed.
    '''
   def __init__(self, name, icon = None, filter_by_date=False):
        ItemSource.__init__(self,
                            name=name,
                            icon=icon,
                            uri="source://People/Empathy",
                            filter_by_date=filter_by_date)

        self.type="Contacts"
        self.buddy_list = []
        
      
    
manager = empathy.ContactManager()
        #manager.setup()
store = empathygtk.ContactListStore(manager)
empathy_view = empathygtk.ContactListView(store, 'none')
empathy_view.show()